CVE-2022-21123

NameCVE-2022-21123
DescriptionIncomplete cleanup of multi-core shared buffers for some Intel(R) Processors may allow an authenticated user to potentially enable information disclosure via local access.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3065-1, DSA-5173-1, DSA-5178-1, DSA-5184-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
intel-microcode (PTS)buster/non-free3.20220207.1~deb10u1vulnerable
buster/non-free (security)3.20220510.1~deb10u1fixed
bullseye/non-free3.20220207.1~deb11u1vulnerable
bullseye/non-free (security)3.20220510.1~deb11u1fixed
bookworm/non-free, sid/non-free3.20220510.1fixed
linux (PTS)buster4.19.235-1vulnerable
buster (security)4.19.249-2fixed
bullseye5.10.127-1fixed
bullseye (security)5.10.136-1fixed
bookworm, sid5.18.16-1fixed
xen (PTS)bullseye4.14.4+74-gd7b22226b5-1vulnerable
bullseye (security)4.14.5+24-g87d90d511c-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
intel-microcodesourcebuster3.20220510.1~deb10u1DSA-5178-1
intel-microcodesourcebullseye3.20220510.1~deb11u1DSA-5178-1
intel-microcodesource(unstable)3.20220510.1
linuxsourcestretch4.9.320-2DLA-3065-1
linuxsourcebuster4.19.249-2DSA-5173-1
linuxsourcebullseye5.10.127-1
linuxsource(unstable)5.18.5-1
xensourcebullseye4.14.5+24-g87d90d511c-1DSA-5184-1

Notes

https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00615.html
https://www.intel.com/content/www/us/en/developer/articles/technical/software-security-guidance/technical-documentation/processor-mmio-stale-data-vulnerabilities.html#SBDR
Linux kernel documentation patch: https://git.kernel.org/linus/4419470191386456e0b8ed4eb06a70b0021798a6
https://xenbits.xen.org/xsa/advisory-404.html

Search for package or bug name: Reporting problems